List runs
curl --request GET \
--url https://app.egma.ai/v1/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"suiteName": "<string>",
"suiteDeleted": true,
"name": "<string>",
"status": "pending",
"agentId": "<string>",
"connectionId": "<string>",
"connectionName": "<string>",
"agentPlatform": "<string>",
"connectionType": "<string>",
"accessVariant": "<string>",
"modality": "voice",
"productLabel": "<string>",
"environment": "<string>",
"agentVersion": 123,
"expectedSimulationCount": 123,
"completedCount": 123,
"failedCount": 123,
"canceledCount": 123,
"simulationCounts": {
"queued": 123,
"claimed": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"finishedCount": 123,
"gradableCount": 123,
"gradedCount": 123,
"resultsUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Runs
List runs
GET
/
v1
/
runs
List runs
curl --request GET \
--url https://app.egma.ai/v1/runs \
--header 'Authorization: Bearer <token>'{
"runs": [
{
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"suiteName": "<string>",
"suiteDeleted": true,
"name": "<string>",
"status": "pending",
"agentId": "<string>",
"connectionId": "<string>",
"connectionName": "<string>",
"agentPlatform": "<string>",
"connectionType": "<string>",
"accessVariant": "<string>",
"modality": "voice",
"productLabel": "<string>",
"environment": "<string>",
"agentVersion": 123,
"expectedSimulationCount": 123,
"completedCount": 123,
"failedCount": 123,
"canceledCount": 123,
"simulationCounts": {
"queued": 123,
"claimed": 123,
"running": 123,
"completed": 123,
"failed": 123,
"canceled": 123
},
"finishedCount": 123,
"gradableCount": 123,
"gradedCount": 123,
"resultsUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Simulation execution status. A completed run can contain failed simulations, and grading may still be in progress.
Available options:
pending, running, completed, canceled Required range:
1 <= x <= 200Minimum string length:
1